[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# sockaddr

Alias for TSockAddr record type.

## Declaration

Source position: socketsh.inc line 84

`type sockaddr = packed record`
`case Integer of`
`0: (`
`sa_family: sa_family_t;` |  | Address family
`sa_data: array [0..13] of cuint8;` |  | Address data
`);`
`1: (`
`sin_family: sa_family_t;` |  | Socket family
`sin_port: cushort;` |  | Socket port
`sin_addr: in_addr;` |  | Socket address
`sin_zero: array [0..7] of cuint8;` |  | Padding bytes
`);`
`end;`

## Description

sockaddr is used to store a general socket address for the FPBind, FPRecv and FPSend calls.